Bug 526247 - Regression: javaws fails to run common jnlp configurations
Summary: Regression: javaws fails to run common jnlp configurations
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Omair Majid
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 13:43 UTC by dhageman
Modified: 2010-08-16 13:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-16 13:37:21 UTC


Attachments (Terms of Use)
Output from the same command using javaws -verbose (20.33 KB, text/plain)
2009-10-09 15:43 UTC, dhageman
no flags Details

Description dhageman 2009-09-29 13:43:56 UTC
Description of problem:

The latest versions of javaws included in java-1.6.0-openjdk-1.6.0.0-29.b16.fc11.i586 fails to run common jnlp configurations.  Versions shipped from the Fedora 11 update repository after the .netx bug (#507870) was fixed appeared to work fine.  

Version-Release number of selected component (if applicable):

java-1.6.0-openjdk-1.6.0.0-29.b16.fc11.i586

How reproducible:

Run the command:

"javaws http://people.eecs.ku.edu/~miller/Courses/JOGL/House2DController.jnlp" from the terminal.  It will fail to find the JOGL libraries in its class path even though they have been downloaded to $HOME/.netx/cache/...  This is a very simple example of a jnlp file used as a class demonstration for a college course. 
It should display a very simple house with the letters "KU" on it when it works properly.   


Output from failed command:

Exception in thread "AWT-EventQueue-1" java.lang.UnsatisfiedLinkError: no jogl in java.library.path
	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1698)
	at java.lang.Runtime.loadLibrary0(Runtime.java:840)
	at java.lang.System.loadLibrary(System.java:1047)
	at com.sun.opengl.impl.NativeLibLoader.loadLibraryInternal(NativeLibLoader.java:189)
	at com.sun.opengl.impl.NativeLibLoader.access$000(NativeLibLoader.java:49)
	at com.sun.opengl.impl.NativeLibLoader$DefaultAction.loadLibrary(NativeLibLoader.java:80)
	at com.sun.opengl.impl.NativeLibLoader.loadLibrary(NativeLibLoader.java:103)
	at com.sun.opengl.impl.NativeLibLoader.access$200(NativeLibLoader.java:49)
	at com.sun.opengl.impl.NativeLibLoader$1.run(NativeLibLoader.java:111)
	at java.security.AccessController.doPrivileged(Native Method)
	at com.sun.opengl.impl.NativeLibLoader.loadCore(NativeLibLoader.java:109)
	at com.sun.opengl.impl.x11.X11GLDrawableFactory.<clinit>(X11GLDrawableFactory.java:101)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:186)
	at javax.media.opengl.GLDrawableFactory.getFactory(GLDrawableFactory.java:111)
	at javax.media.opengl.GLJPanel.initialize(GLJPanel.java:889)
	at javax.media.opengl.GLJPanel.paintComponent(GLJPanel.java:488)
	at mvcjogl.SwingAndOpenGLPanel.paintComponent(SwingAndOpenGLPanel.java:332)
	at javax.swing.JComponent.paint(JComponent.java:1038)
	at javax.swing.JComponent.paintChildren(JComponent.java:875)
	at javax.swing.JComponent.paint(JComponent.java:1047)
	at javax.swing.JComponent.paintChildren(JComponent.java:875)
	at javax.swing.JComponent.paint(JComponent.java:1047)
	at javax.swing.JLayeredPane.paint(JLayeredPane.java:581)
	at javax.swing.JComponent.paintChildren(JComponent.java:875)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5154)
	at javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:302)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1145)
	at javax.swing.JComponent.paint(JComponent.java:1024)
	at java.awt.GraphicsCallback$PaintCallback.run(GraphicsCallback.java:39)
	at sun.awt.SunGraphicsCallback.runOneComponent(SunGraphicsCallback.java:78)
	at sun.awt.SunGraphicsCallback.runComponents(SunGraphicsCallback.java:115)
	at java.awt.Container.paint(Container.java:1844)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:751)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:696)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:676)
	at javax.swing.RepaintManager.access$700(RepaintManager.java:57)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1550)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:602)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

Comment 1 dhageman 2009-10-09 15:43:17 UTC
Created attachment 364267 [details]
Output from the same command using javaws -verbose

Comment 2 dhageman 2009-10-09 15:46:31 UTC
It appears that native libraries are not being added to the java.library.path when they are being downloaded.  

I was able to "workaround" this bug by downloaded jogl separately, unpacking the native library jar file and added those to my library path. 

Example from the command line:

export LD_LIBRARY_PATH="path to jogl native libraries"
javaws http://people.eecs.ku.edu/~miller/Courses/JOGL/House2DController.jnlp

This procedure worked and I was able to view the code as intended.

Comment 3 Bug Zapper 2010-04-28 10:36:50 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:50:46 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Omair Majid 2010-07-01 14:32:55 UTC
Fixed upstream:

http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=507

Comment 7 Omair Majid 2010-08-16 13:37:21 UTC
Fixed in the current update of the openjdk package: java-1.6.0-openjdk-1.6.0.0-42.b18.fc13


Note You need to log in before you can comment on or make changes to this bug.